mahout-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Suneel Marthi <suneel.mar...@gmail.com>
Subject Re: [jira] [Commented] (MAHOUT-1563) Clean up WARNINGs during build
Date Fri, 27 Mar 2015 11:03:17 GMT
Please go ahead with that Stevo

Sent from my iPhone

> On Mar 27, 2015, at 6:58 AM, Stevo Slavic (JIRA) <jira@apache.org> wrote:
> 
> 
>    [ https://issues.apache.org/jira/browse/MAHOUT-1563?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14383658#comment-14383658
] 
> 
> Stevo Slavic commented on MAHOUT-1563:
> --------------------------------------
> 
> This can be fixed in maven/pom, first, and then for good via MAHOUT-1654.
> 
>> Clean up WARNINGs during build
>> ------------------------------
>> 
>>                Key: MAHOUT-1563
>>                URL: https://issues.apache.org/jira/browse/MAHOUT-1563
>>            Project: Mahout
>>         Issue Type: Bug
>>         Components: build
>>   Affects Versions: 0.9
>>           Reporter: Andrew Musselman
>>           Assignee: Andrew Musselman
>>           Priority: Minor
>>             Labels: DSL, scala
>>            Fix For: 0.10.0
>> 
>> 
>> We need to clean up warnings in the maven logs.  They seem to have piled up recently;
some are about scala lib version conflicts, some are about deprecated APIs, some are about
code style.
>> Some may be fine for now but extra warnings in build logs feels like bad hygiene
to me.
>> Some examples:
>> [WARNING]  Expected all dependencies to require Scala version: 2.10.3
>> [WARNING]  com.twitter:chill_2.10:0.3.1 requires scala version: 2.10.0
>> [WARNING] Multiple versions of scala libraries detected!
>> [WARNING] /home/akm/mahout/spark/src/main/scala/org/apache/mahout/sparkbindings/drm/CheckpointedDrmBase.scala:73:
warning: a pure expression does nothing in statement position; you may be omitting necessary
parentheses
>> [INFO]     this
>> [WARNING]  Expected all dependencies to require Scala version: 2.10.3
>> [WARNING]  org.apache.mahout:mahout-math-scala:1.0-SNAPSHOT requires scala version:
2.10.3
>> [WARNING]  org.scalatest:scalatest_2.10:2.0 requires scala version: 2.10.0
>> [WARNING] Multiple versions of scala libraries detected!
>> [WARNING] /home/akm/mahout/math-scala/src/main/scala/org/apache/mahout/math/scalabindings/package.scala:132:
warning: non-variable type argument Double in type pattern Iterable[Double] is unchecked since
it is eliminated by erasure
>> [INFO]         case t: Iterable[Double] => t.toArray
>> [WARNING] /home/akm/mahout/examples/src/main/java/org/apache/mahout/clustering/syntheticcontrol/kmeans/Job.java:
Some input files use or override a deprecated API.
>> [WARNING] /home/akm/mahout/examples/src/main/java/org/apache/mahout/clustering/syntheticcontrol/kmeans/Job.java:
Recompile with -Xlint:deprecation for details.
> 
> 
> 
> --
> This message was sent by Atlassian JIRA
> (v6.3.4#6332)

Mime
View raw message